Fleet partners: many vehicles’ traces, historical ones included
POST
/v1/probes/bulk
const url = 'https://api.tareky.com/v1/probes/bulk';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"traces":[{"sessionId":"example","points":[["example"]]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tareky.com/v1/probes/bulk \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "traces": [ { "sessionId": "example", "points": [ [ "example" ] ] } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”x-access-key-id
string
Legacy key id (until its sunset)
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
traces
required
Array<object>
object
sessionId
required
string
points
required
Array<array>
Examplegenerated
{ "traces": [ { "sessionId": "example", "points": [ [ "example" ] ] } ]}Responses
Section titled “Responses”Media typeapplication/json
object
accepted
required
Traces accepted: the client is done with each (a sampled-out one counts)
integer
sampledOut
Of those, how many adaptive sampling dropped (see GET /v1/probes/config sampling). Absent when none were
integer
Examplegenerated
{ "accepted": 1, "sampledOut": 1}Rate limit or monthly quota exceeded; see Retry-After
Media typeapplication/json
object
error
required
object
code
required
Stable machine-readable code, e.g. quota_exceeded, no_route
string
message
required
string
status
required
integer
details
For invalid_request: the validation issues
docsUrl
required
string
requestId
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "status": 1, "details": "example", "docsUrl": "example" }, "requestId": "example"}default
Section titled “default”Any other error, in the /v1 error envelope
Media typeapplication/json
object
error
required
object
code
required
Stable machine-readable code, e.g. quota_exceeded, no_route
string
message
required
string
status
required
integer
details
For invalid_request: the validation issues
docsUrl
required
string
requestId
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "status": 1, "details": "example", "docsUrl": "example" }, "requestId": "example"}